Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Protected Types | Static Protected Member Functions | List of all members
Halide::NamesInterface Class Reference

`#include <Generator.h>`

Inheritance diagram for Halide::NamesInterface:

## Protected Types
using | Expr = Halide::Expr
using | EvictionKey = Halide::EvictionKey
using | ExternFuncArgument = Halide::ExternFuncArgument
using | Func = Halide::Func
using | GeneratorContext = Halide::GeneratorContext
using | ImageParam = Halide::ImageParam
using | LoopLevel = Halide::LoopLevel
using | MemoryType = Halide::MemoryType
using | NameMangling = Halide::NameMangling
using | Partition = Halide::Partition
using | Pipeline = Halide::Pipeline
using | PrefetchBoundStrategy = Halide::PrefetchBoundStrategy
using | RDom = Halide::RDom
using | RVar = Halide::RVar
using | TailStrategy = Halide::TailStrategy
using | Target = Halide::Target
using | Tuple = Halide::Tuple
using | Type = Halide::Type
using | Var = Halide::Var
template<typename T >
using | GeneratorParam = Halide::GeneratorParam< T >
template<typename T = void, int D = -1>
using | Buffer = Halide::Buffer< T, D >
template<typename T >
using | Param = Halide::Param< T >

## Static Protected Member Functions
template<typename T >
static Expr | cast (Expr e)
static Expr | cast (Halide::Type t, Expr e)
static Type | Bool (int lanes=1)
static Type | Float (int bits, int lanes=1)
static Type | Int (int bits, int lanes=1)
static Type | UInt (int bits, int lanes=1)

## Detailed Description

Definition at line 3055 of file Generator.h.

## Member Typedef Documentation

## ◆ Expr

using Halide::NamesInterface::Expr = Halide::Expr
| protected

Definition at line 3060 of file Generator.h.

## ◆ EvictionKey

using Halide::NamesInterface::EvictionKey = Halide::EvictionKey
| protected

Definition at line 3061 of file Generator.h.

## ◆ ExternFuncArgument

using Halide::NamesInterface::ExternFuncArgument = Halide::ExternFuncArgument
| protected

Definition at line 3062 of file Generator.h.

## ◆ Func

using Halide::NamesInterface::Func = Halide::Func
| protected

Definition at line 3063 of file Generator.h.

## ◆ GeneratorContext

using Halide::NamesInterface::GeneratorContext = Halide::GeneratorContext
| protected

Definition at line 3064 of file Generator.h.

## ◆ ImageParam

using Halide::NamesInterface::ImageParam = Halide::ImageParam
| protected

Definition at line 3065 of file Generator.h.

## ◆ LoopLevel

using Halide::NamesInterface::LoopLevel = Halide::LoopLevel
| protected

Definition at line 3066 of file Generator.h.

## ◆ MemoryType

using Halide::NamesInterface::MemoryType = Halide::MemoryType
| protected

Definition at line 3067 of file Generator.h.

## ◆ NameMangling

using Halide::NamesInterface::NameMangling = Halide::NameMangling
| protected

Definition at line 3068 of file Generator.h.

## ◆ Partition

using Halide::NamesInterface::Partition = Halide::Partition
| protected

Definition at line 3069 of file Generator.h.

## ◆ Pipeline

using Halide::NamesInterface::Pipeline = Halide::Pipeline
| protected

Definition at line 3070 of file Generator.h.

## ◆ PrefetchBoundStrategy

using Halide::NamesInterface::PrefetchBoundStrategy = Halide::PrefetchBoundStrategy
| protected

Definition at line 3071 of file Generator.h.

## ◆ RDom

using Halide::NamesInterface::RDom = Halide::RDom
| protected

Definition at line 3072 of file Generator.h.

## ◆ RVar

using Halide::NamesInterface::RVar = Halide::RVar
| protected

Definition at line 3073 of file Generator.h.

## ◆ TailStrategy

using Halide::NamesInterface::TailStrategy = Halide::TailStrategy
| protected

Definition at line 3074 of file Generator.h.

## ◆ Target

using Halide::NamesInterface::Target = Halide::Target
| protected

Definition at line 3075 of file Generator.h.

## ◆ Tuple

using Halide::NamesInterface::Tuple = Halide::Tuple
| protected

Definition at line 3076 of file Generator.h.

## ◆ Type

using Halide::NamesInterface::Type = Halide::Type
| protected

Definition at line 3077 of file Generator.h.

## ◆ Var

using Halide::NamesInterface::Var = Halide::Var
| protected

Definition at line 3078 of file Generator.h.

## ◆ GeneratorParam

template<typename T >

using Halide::NamesInterface::GeneratorParam = Halide::GeneratorParam<T>
| protected

Definition at line 3087 of file Generator.h.

## ◆ Buffer

template<typename T = void, int D = -1>

using Halide::NamesInterface::Buffer = Halide::Buffer<T, D>
| protected

Definition at line 3089 of file Generator.h.

## ◆ Param

template<typename T >

using Halide::NamesInterface::Param = Halide::Param<T>
| protected

Definition at line 3091 of file Generator.h.

## Member Function Documentation

## ◆ cast() [1/2]

template<typename T >

static Expr Halide::NamesInterface::cast | ( | Expr | e | ) |
| inline static protected

Definition at line 3080 of file Generator.h.

References Halide::cast().

Referenced by Halide::Internal::GeneratorBase::add_input(), Halide::Internal::GeneratorBase::add_input(), Halide::Internal::GeneratorBase::add_input(), Halide::Internal::GeneratorBase::add_input(), Halide::Internal::GeneratorBase::add_output(), Halide::Internal::GeneratorBase::add_output(), Halide::Internal::GeneratorBase::add_output(), Halide::Internal::GeneratorBase::add_output(), Halide::Internal::GeneratorBase::add_output(), Halide::Internal::GeneratorBase::add_output(), Halide::Internal::GeneratorBase::add_requirement(), Halide::Internal::GeneratorBase::claim_name(), Halide::Internal::GeneratorBase::natural_vector_size(), Halide::Internal::GeneratorBase::realize(), and Halide::Internal::GeneratorBase::set_inputs().

## ◆ cast() [2/2]

static Expr Halide::NamesInterface::cast | ( | Halide::Type | t,
|  | Expr | e
| ) |  |
| inline static protected

Definition at line 3083 of file Generator.h.

References Halide::cast().

## ◆ Bool()

static Type Halide::NamesInterface::Bool | ( | int | lanes = `1` | ) |
| inline static protected

Definition at line 3092 of file Generator.h.

References Halide::Bool().

## ◆ Float()

static Type Halide::NamesInterface::Float | ( | int | bits,
|  | int | lanes = `1`
| ) |  |
| inline static protected

Definition at line 3095 of file Generator.h.

References Halide::Float().

## ◆ Int()

static Type Halide::NamesInterface::Int | ( | int | bits,
|  | int | lanes = `1`
| ) |  |
| inline static protected

Definition at line 3098 of file Generator.h.

References Halide::Int().

## ◆ UInt()

static Type Halide::NamesInterface::UInt | ( | int | bits,
|  | int | lanes = `1`
| ) |  |
| inline static protected

Definition at line 3101 of file Generator.h.

References Halide::UInt().

The documentation for this class was generated from the following file:

- src/Generator.h